with GNATCOM.IInterface;

package MSHTML.IHTMLPainterOverlay_Interface is

   type IHTMLPainterOverlay_Type is
     new GNATCOM.IInterface.Interface_Type with null record;

   procedure Initialize (This : in out IHTMLPainterOverlay_Type);

   function Pointer (This : IHTMLPainterOverlay_Type)
     return Pointer_To_IHTMLPainterOverlay;

   procedure Attach (This    : in out IHTMLPainterOverlay_Type;
                     Pointer : in     Pointer_To_IHTMLPainterOverlay);

   procedure onmove
     (This     : IHTMLPainterOverlay_Type;
      rcDevice : tagRECT);

end MSHTML.IHTMLPainterOverlay_Interface;

